Bug 255278 - net/py-errbot: Update to 6.1.7
Summary: net/py-errbot: Update to 6.1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks: 239070
  Show dependency treegraph
 
Reported: 2021-04-20 19:03 UTC by Neel Chauhan
Modified: 2021-04-29 18:54 UTC (History)
2 users (show)

See Also:
sunpoet: maintainer-feedback+


Attachments
Patch (2.39 KB, patch)
2021-04-20 19:03 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (2.39 KB, patch)
2021-04-29 16:35 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2021-04-20 19:03:38 UTC
Created attachment 224307 [details]
Patch

This is needed for Bug 239070 (update textproc/py-markdown) which in turn is needed indirectly for the GTK+ 4 update.
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-04-25 21:13:50 UTC
Thanks!
Comment 2 commit-hook freebsd_committer 2021-04-26 03:34:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e327fd83e67532c68a0ac11e4c4955a540b3fead

commit e327fd83e67532c68a0ac11e4c4955a540b3fead
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-04-26 03:32:52 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-04-26 03:32:52 +0000

    net/py-errbot: Update to 6.1.7

    This is needed for the GTK+ 4 update.

    PR:             255278
    Approved by:    sunpoet (maintainer)

 net/py-errbot/Makefile             |  4 ++--
 net/py-errbot/distinfo             |  6 +++---
 net/py-errbot/files/patch-setup.py | 18 +++++++++---------
 3 files changed, 14 insertions(+), 14 deletions(-)
Comment 3 commit-hook freebsd_committer 2021-04-29 14:39:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f096d0538f2e97566676042a36ebc9663877237c

commit f096d0538f2e97566676042a36ebc9663877237c
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-04-29 14:17:18 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-04-29 14:24:03 +0000

    net/py-errbot: Revert e327fd83e67532c68a0ac11e4c4955a540b3fead

    It should be committed along with the py-markdown 3.3+ update.

    from pkg-fallout [1]:
    ===>   py38-errbot-6.1.7 depends on package: py38-markdown>3.3 - not found
    *** Error code 1

    PR:             255278
    Reference:      http://beefy16.nyi.freebsd.org/data/130amd64-default/0ae18b07e470/logs/py38-errbot-6.1.7.log [1]

 net/py-errbot/Makefile             |  4 ++--
 net/py-errbot/distinfo             |  6 +++---
 net/py-errbot/files/patch-setup.py | 18 +++++++++---------
 3 files changed, 14 insertions(+), 14 deletions(-)
Comment 4 Po-Chuan Hsieh freebsd_committer 2021-04-29 14:43:39 UTC
Please commit it again when py-markdown 3.3+ is ready. Thanks!
Comment 5 Neel Chauhan freebsd_committer 2021-04-29 16:35:51 UTC
Created attachment 224535 [details]
Patch (Revision 2)

I might be able to make this work with earlier versions of py-markdown. Is this patch OK?
Comment 6 commit-hook freebsd_committer 2021-04-29 18:53:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=756466c9f47bfcd75ab204c5dbc0bcc463ace6b3

commit 756466c9f47bfcd75ab204c5dbc0bcc463ace6b3
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-04-29 18:52:42 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-04-29 18:52:42 +0000

    net/py-errbot: Update to 6.1.7

    Also, unlike the previous version, maintain compatability with
    py-markdown < 3.3.

    This is needed for the GTK+ 4 update.

    PR:             255278
    Approved by:    sunpoet (maintainer)

 net/py-errbot/Makefile             |  4 ++--
 net/py-errbot/distinfo             |  6 +++---
 net/py-errbot/files/patch-setup.py | 18 +++++++++---------
 3 files changed, 14 insertions(+), 14 deletions(-)
Comment 7 Neel Chauhan freebsd_committer 2021-04-29 18:54:18 UTC
I have figured out compatibility with older py-markdown versions. Pushed and committed.